%define major     0.8
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define gitrev    git20161220

Name:           kbibtex
Version:        0.8
Release:        %mkrel -c %{gitrev} 2
Summary:        A BibTeX editor for KDE
Group:          Editors
License:        GPLv2+
URL:            http://home.gna.org/kbibtex/
# release 0.8 is a git snapshot for now
# from https://cgit.kde.org/kbibtex.git/commit/?id=ac25bb7d5c76c95d9a0ddd7061708a9b6d5175ac
Source0:        http://download.gna.org/kbibtex/%{version}/%{name}-%{version}.tar.xz
Patch0:         kbibtex-0.8-fix-translations-install.patch
Patch1:         kbibtex-0.8-fix-QWebEngineView-include-path.patch
ExcludeArch:    armv5tl
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5DocTools)

BuildRequires:  pkgconfig(poppler-qt5)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(shared-mime-info)

Requires:       qca-qt5
Requires:       qtwebengine5
Conflicts:      %{_lib}kbibtex-devel < 0.6

%description
KBibTeX is a BibTeX editor for KDE.

%package -n %{develname}
Summary:        Development files for KBibTeX
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for KBibTeX.

%package -n %{libname}
Summary:        Library files for KBibTeX
Group:          System/Libraries

%description -n %{libname}
Library files for KBibTeX.

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DQt5WebEngineWidgets_FOUND=ON
%make_build

%install
%make_install -C build

%find_lang %name --with-html --all-name

%files -f %name.lang
%doc README
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_sysconfdir}/xdg/kbibtexrc
%{_kf5_datadir}/mime/packages/*.xml
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_services}/*.desktop
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_mandir}/man1/%{name}.1.*
%{_qt5_plugindir}/kbibtexpart.so

%files -n %{libname}
%{_kf5_libdir}/*.so.%{major}
%{_kf5_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_kf5_libdir}/*.so


%changelog
* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.8-0.git20161220.2.mga6
+ Revision: 1093089
- Rebuild for icu-58.2

* Tue Dec 27 2016 daviddavid <daviddavid> 0.8-0.git20161220.1.mga6
+ Revision: 1078178
- new version: 0.8 git20161220 (first snapshot based on Kf5)
- port to Kf5/Qt5
- now libmajor is 0.8

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.6-6.mga6
+ Revision: 1070628
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.6-5.mga6
+ Revision: 1046184
- test rebuild for poppler

* Mon Apr 11 2016 daviddavid <daviddavid> 0.6-4.mga6
+ Revision: 1000197
- add patch1 from upstream to fix ARM build
  * https://bugs.kde.org/show_bug.cgi?id=353898

* Fri Feb 19 2016 umeabot <umeabot> 0.6-3.mga6
+ Revision: 969572
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 fwang <fwang> 0.6-2.mga6
+ Revision: 870936
- br qoauth

* Sat Aug 29 2015 fwang <fwang> 0.6-1.mga6
+ Revision: 870923
- do not promote soversion for modules
- update file list
- 0.6

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Mon Sep 08 2014 malo <malo> 0.5.1-1.mga5
+ Revision: 673407
- fix RPM group
- libify
- update to 0.5.1

* Fri Oct 18 2013 umeabot <umeabot> 0.4.1-3.mga4
+ Revision: 506560
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 355828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 306920
- new version 0.4.1

* Wed Jun 13 2012 fwang <fwang> 0.4-2.mga3
+ Revision: 260187
- rebuild for new poppler

* Sun Feb 12 2012 malo <malo> 0.4-1.mga2
+ Revision: 208221
- typo in BR
- add patch from upstream to fix missing include build failure
- trying without parallel build.
- spec clean-up after import from Mandriva (thanks to Funda and tpg)
- imported package kbibtex


* Sat Nov 26 2011 Funda Wang <fwang@mandriva.org> 0.4-1
+ Revision: 733538
- update file list
- there is no lang files
- new version 0.4

* Thu Jun 02 2011 Funda Wang <fwang@mandriva.org> 0.3-1
+ Revision: 682441
- new verison 0.3

* Sun May 01 2011 Funda Wang <fwang@mandriva.org> 0.3-0.beta2.1
+ Revision: 661259
- import kbibtex


* Tue Jan 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.5-1mdv2007.0
+ Revision: 112281
- Import kbibtex

